Name:       ocaml-uri
Version:    1.3.8
Release:    %mkrel 2
Summary:    RFC3968 URI parsing library
License:    ISC
Group:      Development/OCaml
URL:        https://github.com/mirage/ocaml-uri
Source0:    https://github.com/mirage/ocaml-uri/archive/ocaml-uri-%{version}.tar.gz
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-re-devel

%description
RFC3986 URI parsing library.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocaml-uri-ocaml-uri-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

ocaml setup.ml -build
ocaml setup.ml -doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uri
ocaml setup.ml -install

%files
%doc README.md CHANGES
%dir %{_libdir}/ocaml/uri
%{_libdir}/ocaml/uri/META
%{_libdir}/ocaml/uri/*.cmi
%{_libdir}/ocaml/uri/*.cma
%{_libdir}/ocaml/uri/*.cmxs

%files devel
%doc etc/
%doc lib_test/
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/uri/*.a
%{_libdir}/ocaml/uri/*.cmxa
%{_libdir}/ocaml/uri/*.cmx
%{_libdir}/ocaml/uri/*.mli
%{_libdir}/ocaml/uri/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.3.8-2.mga4
+ Revision: 531160
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 blue_prawn <blue_prawn> 1.3.8-1.mga4
+ Revision: 462370
- build requires ocaml-compiler-libs
- updated to last version 1.3.8

* Fri May 03 2013 blue_prawn <blue_prawn> 1.3.6-1.mga4
+ Revision: 412038
- imported package ocaml-uri

